> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 建立 IP 白名单

> Add IP to zone's whitelist

<Warning> **Warning:** This API can modify your account settings, damage your operations or incur charges.</Warning>

<Tip>
  将您的 API 令牌粘贴到身份验证字段。要获得令牌，创建账户并了解如何生成令牌

  [Create an account](https://brightdata.com/?hs_signup=1\&utm_source=docs\&utm_campaign=playground), [generate a token](/cn/api-reference/unlocker/api_token)
</Tip>


## OpenAPI

````yaml POST /zone/whitelist
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /zone/whitelist:
    post:
      description: Add IP to zone's whitelist
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZoneAndIP'
      responses:
        '201':
          description: OK
components:
  schemas:
    ZoneAndIP:
      required:
        - ip
      type: object
      properties:
        zone:
          description: Zone name. Can be skipped to affect all your zones
          type: string
        ip:
          description: |-
            `string` or  `array of strings` 

             Single IP, IP Array, IP range, IP subnet or IP mask  

             ### Example 

             - Single IP: 10.20.30.40 

             - IP Array: ["10.20.30.40", "50.60.70.80",...] 

             - Range: 10.20.30.40-10.20.30.50 

             - Subnet: 10.20.30.0/24 

             - Netmask: 10.20.30.0/255.255.252.0 

             **Note** IP array syntax requires quotes `"` for each IP string in array
          oneOf:
            - type: string
            - type: array
              items:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````